window:
  dimensions:
    columns: 0
    lines: 0

  padding:
    x: 0
    y: 0

  dynamic_padding: true
  decorations: none
  startup_mode: Windowed

font:
  normal:
    family: Hack

  bold:
    family: Hack
    style: bold

  italic:
    family: Hack
    style: italic

  size: 11

  offset:
    x: 0
    y: 0

  glyph_offset:
    x: 0
    y: 0

  use_thin_strokes: true

draw_bold_text_with_bright_colors: false

colors:
  primary:
    background: '0x282828'
    foreground: '0xfbf1c7'

  cursor:
    text: '0x000000'
    cursor: '0xffffff'

  normal:
    black:   '0x000000'
    red:     '0xfb4934'
    green:   '0xb8bb26'
    yellow:  '0xfabd2f'
    blue:    '0x83a598'
    magenta: '0xd3869b'
    cyan:    '0x8ec07c'
    white:   '0xffffff'

  bright:
    black:   '0x666666'
    red:     '0xff3334'
    green:   '0x9ec400'
    yellow:  '0xe7c547'
    blue:    '0x7aa6da'
    magenta: '0xb77ee0'
    cyan:    '0x54ced6'
    white:   '0xffffff'

background_opacity: 1.0

key_bindings:
  - {key: V, mods: Control|Shift, action: Paste}
  - {key: C, mods: Control|Shift, action: Copy}

mouse:
  double_click: { threshold: 300 }
  triple_click: { threshold: 300 }
  hide_when_typing: true

selection:
  semantic_escape_chars: ",│`|:\"' ()[]{}<>"
  save_to_clipboard: false

mouse_bindings:
  - { mouse: Middle, action: PasteSelection }

cursor:
  #   - ▇ Block
  #   - _ Underline
  #   - | Beam
  style: Block
  unfocused_hollow: true

window.dynamic_title: true

live_config_reload: true

debug:
  render_timer: false
  persistent_logging: false
  log_level: OFF
  print_events: false
  ref_test: false

